import TransitionBounce from '../src/components/transition/bounce.vue';
import TransitionDialog from '../src/components/transition/dialog.vue';
import TransitionExpand from '../src/components/transition/expand.vue';
import VAvatar from '../src/components/v-avatar.vue';
import VBadge from '../src/components/v-badge.vue';
import VBreadcrumb from '../src/components/v-breadcrumb.vue';
import VButton from '../src/components/v-button.vue';
import VCard from '../src/components/v-card.vue';
import VCardActions from '../src/components/v-card-actions.vue';
import VCardSubtitle from '../src/components/v-card-subtitle.vue';
import VCardText from '../src/components/v-card-text.vue';
import VCardTitle from '../src/components/v-card-title.vue';
import VCheckbox from '../src/components/v-checkbox.vue';
import VCheckboxTree from '../src/components/v-checkbox-tree/v-checkbox-tree.vue';
import VChip from '../src/components/v-chip.vue';
import VDivider from '../src/components/v-divider.vue';
import VFancySelect from '../src/components/v-fancy-select.vue';
import VHover from '../src/components/v-hover.vue';
import VHighlight from '../src/components/v-highlight.vue';
import VIcon from '../src/components/v-icon/v-icon.vue';
import VIconFile from '../src/components/v-icon-file.vue';
import VInfo from '../src/components/v-info.vue';
import VInput from '../src/components/v-input.vue';
import VItemGroup from '../src/components/v-item-group.vue';
import VItem from '../src/components/v-item.vue';
import VList from '../src/components/v-list.vue';
import VListGroup from '../src/components/v-list-group.vue';
import VListItem from '../src/components/v-list-item.vue';
import VListItemContent from '../src/components/v-list-item-content.vue';
import VListItemHint from '../src/components/v-list-item-hint.vue';
import VListItemIcon from '../src/components/v-list-item-icon.vue';
import VMenu from '../src/components/v-menu.vue';
import VNotice from '../src/components/v-notice.vue';
import VOverlay from '../src/components/v-overlay.vue';
import VPagination from '../src/components/v-pagination.vue';
import VProgressCircular from '../src/components/v-progress-circular.vue';
import VProgressLinear from '../src/components/v-progress-linear.vue';
import VRadio from '../src/components/v-radio.vue';
import VSelect from '../src/components/v-select/v-select.vue';
import VSheet from '../src/components/v-sheet.vue';
import VSkeletonLoader from '../src/components/v-skeleton-loader.vue';
import VSlider from '../src/components/v-slider.vue';
import VTabs from '../src/components/v-tabs.vue';
import VTab from '../src/components/v-tab.vue';
import VTabItem from '../src/components/v-tab-item.vue';
import VTabsItems from '../src/components/v-tabs-items.vue';
import VTemplateInput from '../src/components/v-template-input.vue';
import VTextOverflow from '../src/components/v-text-overflow.vue';
import VTextarea from '../src/components/v-textarea.vue';
import VEmojiPicker from '../src/components/v-emoji-picker.vue';
import VWorkspace from '../src/components/v-workspace.vue';
import VWorkspaceTile from '../src/components/v-workspace-tile.vue';
// import VTable from './v-table/v-table.vue';
// import VUpload from './v-upload.vue';
// import VDatePicker from './v-date-picker.vue';
// import VDetail from './v-detail.vue';
// import VDialog from './v-dialog.vue';
// import VError from './v-error.vue';
// import VDrawer from './v-drawer.vue';
// import VFieldTemplate from './v-field-template/v-field-template.vue';
// import VFieldList from './v-field-list/v-field-list.vue';
// import VForm from './v-form/v-form.vue';
// import VImage from './v-image.vue';

import Focus from '../src/directives/focus';
import Tooltip from '../src/directives/tooltip';
import ClickOutside from '../src/directives/click-outside';

export function register(app) {
	app.directive('focus', Focus);
	app.directive('tooltip', Tooltip);
	app.directive('click-outside', ClickOutside);

	app.component('VAvatar', VAvatar);
	app.component('VBadge', VBadge);
	app.component('VBreadcrumb', VBreadcrumb);
	app.component('VButton', VButton);
	app.component('VCardActions', VCardActions);
	app.component('VCardSubtitle', VCardSubtitle);
	app.component('VCardText', VCardText);
	app.component('VCardTitle', VCardTitle);
	app.component('VCard', VCard);
	app.component('VCheckbox', VCheckbox);
	app.component('VCheckboxTree', VCheckboxTree);
	app.component('VChip', VChip);
	// app.component('VDetail', VDetail);
	// app.component('VDialog', VDialog);
	app.component('VDivider', VDivider);
	// app.component('VError', VError);
	app.component('VFancySelect', VFancySelect);
	// app.component('VFieldTemplate', VFieldTemplate);
	// app.component('VFieldList', VFieldList);
	// app.component('VForm', VForm);
	app.component('VHover', VHover);
	app.component('VHighlight', VHighlight);
	app.component('VIcon', VIcon);
	// app.component('VImage', VImage);
	app.component('VIconFile', VIconFile);
	app.component('VInfo', VInfo);
	app.component('VInput', VInput);
	app.component('VItemGroup', VItemGroup);
	app.component('VItem', VItem);
	app.component('VListGroup', VListGroup);
	app.component('VListItemContent', VListItemContent);
	app.component('VListItemHint', VListItemHint);
	app.component('VListItemIcon', VListItemIcon);
	app.component('VListItem', VListItem);
	app.component('VList', VList);
	app.component('VMenu', VMenu);
	// app.component('VDrawer', VDrawer);
	app.component('VNotice', VNotice);
	app.component('VOverlay', VOverlay);
	app.component('VPagination', VPagination);
	app.component('VProgressCircular', VProgressCircular);
	app.component('VProgressLinear', VProgressLinear);
	app.component('VRadio', VRadio);
	app.component('VSelect', VSelect);
	app.component('VSheet', VSheet);
	app.component('VSkeletonLoader', VSkeletonLoader);
	app.component('VSlider', VSlider);
	app.component('VTabItem', VTabItem);
	app.component('VTab', VTab);
	// app.component('VTable', VTable);
	app.component('VTabsItems', VTabsItems);
	app.component('VTabs', VTabs);
	app.component('VTemplateInput', VTemplateInput);
	app.component('VTextarea', VTextarea);
	app.component('VTextOverflow', VTextOverflow);
	// app.component('VUpload', VUpload);
	// app.component('VDatePicker', VDatePicker);
	app.component('VEmojiPicker', VEmojiPicker);
	app.component('VWorkspace', VWorkspace);
	app.component('VWorkspaceTile', VWorkspaceTile);

	app.component('TransitionBounce', TransitionBounce);
	app.component('TransitionDialog', TransitionDialog);
	app.component('TransitionExpand', TransitionExpand);
}
